viewerUI {AutoDeskR} | R Documentation

## UI Module Function.

### Description

UI Module Function.

### Usage

    viewerUI(id, urn = NULL, token = NULL, viewerType = "header")

### Arguments

`id` | A string. A namespace for the module.
`urn` | A string. Source URN (objectId) for the file. Note the URN must be Base64 encoded. To encode the URN, see, for example, the `jsonlite::base64_enc` function.
`token` | A string. Token generated with `getToken` function with `data:read` scope.
`viewerType` | A string. The type of viewer to instantiate. Either "header" for the default viewer or "headless" for a viewer without toolbar or panels.

### See Also

https://developer.autodesk.com/en/docs/viewer/v2/overview/

### Examples

    ## Not run:
    ui <- function(request) {
     shiny::fluidPage(
       viewerUI("pg", myEncodedUrn, myToken)
     )
    }
    server <- function(input, output, session) {
    }
    shiny::shinyApp(ui, server)

    ## End(Not run)

[Package AutoDeskR version 0.1.3 Index]